Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.util
Class CellRangeAddressList

    java.lang.Object
      org.apache.poi.ss.util.CellRangeAddressList
          org.apache.poi.hssf.util.CellRangeAddressList

Deprecated. use `CellRangeAddressList`

    public class CellRangeAddressList

extends CellRangeAddressList

Implementation of the cell range address lists,like is described in OpenOffice.org's Excel Documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range Address List' In BIFF8 there is a common way to store absolute cell range address lists in several records (not formulas). A cell range address list consists of a field with the number of ranges and the list of the range addresses. Each cell range address (called an ADDR structure) contains 4 16-bit-values.

Author:
  Dragos Buleandra (dragos.buleandra@trade2b.ro)

Constructor Summary
`CellRangeAddressList()` Deprecated.
`CellRangeAddressList(int firstRow, int lastRow, int firstCol, int lastCol)` Deprecated.
`CellRangeAddressList(RecordInputStream in)` Deprecated.

Method Summary

Methods inherited from class org.apache.poi.ss.util.CellRangeAddressList
`addCellRangeAddress, addCellRangeAddress, copy, countRanges, getCellRangeAddress, getCellRangeAddresses, getEncodedSize, getSize, remove, serialize, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellRangeAddressList

    public CellRangeAddressList(int firstRow,
                                int lastRow,
                                int firstCol,
                                int lastCol)

  Deprecated.

### CellRangeAddressList

    public CellRangeAddressList()

  Deprecated.

### CellRangeAddressList

    public CellRangeAddressList(RecordInputStream in)

  Deprecated.
  Parameters:
    `in` - the RecordInputstream to read the record from

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD